SessionManager (Apache Geode 1.15.4)

org.apache.geode.modules.session.catalina

## Interface SessionManager

- All Known Implementing Classes:
    DeltaSessionManager, Tomcat6DeltaSessionManager, Tomcat7DeltaSessionManager, Tomcat8DeltaSessionManager, Tomcat9DeltaSessionManager

      public interface SessionManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEnableDebugListener()`
    `boolean` | `getEnableGatewayDeltaReplication()`
    `boolean` | `getEnableGatewayReplication()`
    `boolean` | `getEnableLocalCache()`
    `org.apache.juli.logging.Log` | `getLogger()`
    `int` | `getMaxInactiveInterval()`
    `boolean` | `getPreferDeserializedForm()` Deprecated. no replacement. Always prefer deserialized form.
    `String` | `getRegionAttributesId()`
    `String` | `getRegionName()`
    `String` | `getStatisticsName()`
    `boolean` | `isBackingCacheAvailable()`
    `boolean` | `isCommitValveEnabled()`
    `boolean` | `isCommitValveFailfastEnabled()`

- - ### Method Detail

    - #### getRegionName

          String getRegionName()

    - #### getRegionAttributesId

          String getRegionAttributesId()

    - #### getMaxInactiveInterval

          int getMaxInactiveInterval()

    - #### getEnableGatewayReplication

          boolean getEnableGatewayReplication()

    - #### getEnableGatewayDeltaReplication

          boolean getEnableGatewayDeltaReplication()

    - #### getEnableDebugListener

          boolean getEnableDebugListener()

    - #### getEnableLocalCache

          boolean getEnableLocalCache()

    - #### isCommitValveEnabled

          boolean isCommitValveEnabled()

    - #### isCommitValveFailfastEnabled

          boolean isCommitValveFailfastEnabled()

    - #### isBackingCacheAvailable

          boolean isBackingCacheAvailable()

    - #### getPreferDeserializedForm

          @Deprecated
          boolean getPreferDeserializedForm()

      Deprecated. no replacement. Always prefer deserialized form.
      Returns:
        whether to prefer deserialized form

    - #### getStatisticsName

          String getStatisticsName()

    - #### getLogger

          org.apache.juli.logging.Log getLogger()